curl --request PATCH \
--url https://{tenant_name}.{region}.techwolf.ai/organisational_units/{external_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Engineering",
"active": true,
"parent_id": "b4824606-fc95-53ed-b80g-6f8c2ge908c8"
}
'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/organisational_units/{external_id}"
payload = {
"name": "Engineering",
"active": True,
"parent_id": "b4824606-fc95-53ed-b80g-6f8c2ge908c8"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Engineering',
active: true,
parent_id: 'b4824606-fc95-53ed-b80g-6f8c2ge908c8'
})
};
fetch('https://{tenant_name}.{region}.techwolf.ai/organisational_units/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"title": "400 Bad Request",
"description": "The request body was not structured correctly."
}
][
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "404 Not Found",
"description": "Unknown external_id describing this resource. Please create this resource first."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
][
{
"title": "413 Payload Too Large",
"description": "Request payload is too large."
}
][
{
"title": "415 Unsupported Media Type",
"description": "Content-type must be one of: application/json"
}
][
{
"title": "422 Unprocessable entity",
"description": "The request body contains some fields with invalid data (e.g. invalid date, invalid enumeration value ..)"
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Update Organisational Unit
Submit the most up-to-date Organisational Unit information. Any field that is present will overwrite existing values within the system, while absent fields will be left as-is.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The unique ID in your system, consisting of alphanumeric characters, hyphens and underscores.
1 - 100[a-zA-Z0-9_-]+"a3903505-eb84-42dc-a79f-5e7b1fe897b7"
Body
Default structure for Organisational Unit data.
Name of the Organisational Unit.
1 - 255"Engineering"
Indicates whether the Organisational Unit is active or not.
Unique identifier for the parent Organisational Unit, establishing the organisational structure. If updated with parent_id=null, the Organisational Unit becomes a root Organisational Unit.
1 - 100[a-zA-Z0-9_-]+"b4824606-fc95-53ed-b80g-6f8c2ge908c8"
Response
No Content
Was this page helpful?